/*
Accéder à la caméra
-------------------

p5js permet facilement d'accéder à la caméra sur mobile ou via une webcam

par contre ça nécessite l'extension p5dom,
qu'on trouve dans le pack p5js.complete ici :
http://p5js.org/download/
*/

function setup(){ 

	createCanvas(windowWidth, windowHeight);

	// on capture la camera grâce à p5dom
	capture = createCapture(VIDEO);
	capture.size(320, 240); // taille d'échantillonnage, pas forcément celle de l'affichage
	
	// par défaut ça affiche déjà l'image de la cam en haut à gauche
	// si on veut la placer ailleurs ou en faire quelque chose 
	// ça se passe dans draw()
}
function draw(){
	
	// écraser l'image brute de la cam
	noStroke();
	fill(255);
	rect(0, 0, width, height);

	// ensuite on affiche cette capture comme n'importe quelle image
	image(capture, 60, 60, 640, 480);

	// comme pour une image, on peut utiliser les filtres pré-existants
	filter(THRESHOLD);
	// plus de filtres : http://p5js.org/reference/#/p5/filter

	// afficher le titre du sketch
	noStroke();
	fill(255); // rectangle blanc sous le texte...
	rect(15, 8, 230, 34)
	fill(0);
	text("// Accéder à la caméra", 30, 30);
}